spring:
  profiles:
    active: ${SPRING_PROFILES_ACTIVE:local}
  cloud:
    nacos:
      config:
        import-check:
          enabled: false
---
spring:
  config:
    activate:
      on-profile: local
    import:
      - classpath:nacos.yml
      - classpath:nacos/config-common.yml
      - classpath:nacos/config-port.yml
      - classpath:nacos/config-mq.yml
      - classpath:nacos/config-log.yml
      - classpath:nacos/config-actuator.yml
      - classpath:nacos/config-job.yml
      - classpath:nacos/config-mysql.yml
      - classpath:nacos/config-redis.yml
      - classpath:nacos/config-cache.yml
      - classpath:nacos/config-spring.yml
      - classpath:nacos/config-mybatis.yml
      - classpath:nacos/config-sdk.yml
      - classpath:nacos/config-flyway.yml
      - classpath:sdk.yml
      - classpath:swagger.yml
      - classpath:application-local.yml
---
spring:
  config:
    activate:
      on-profile: prod
    import:
      - classpath:nacos-prod.yml
      - classpath:sdk-prod.yml
      - classpath:swagger.yml